libname sipp 'E:\sippval\sas\sasdata';


data w1;

        set sipp.affsid;

        hhid2 = (psuid*100)+moadid21;
        hhid1 = psuid;
        if rrp2c > 0;


run;

proc sort data = w1;

        by hhid2 person;

run;



data wave2;

        set w1;

        by hhid2;

        if first.hhid2 then do;

                headage = .;
                hhid = psuid;
                qfs11 = 0;
                qfs12 = 0;
                qfs13 = 0;
                qfs14 = 0;
                qfss1 = 0;
                qfs21 = 0;
                qfs22 = 0;
                qfs23 = 0;
                qfs24 = 0;
                qfss2 = 0;



                rfs11 = 0;
                rfs12 = 0;
                rfs13 = 0;
                rfs14 = 0;
                rfss1 = 0;
                rfs21 = 0;
                rfs22 = 0;
                rfs23 = 0;
                rfs24 = 0;
                rfss2 = 0;
                adults = 0;
                hhsize = 0;



        end;

        hhsize = hhsize + 1;

        if age2c < 18 then goto next;

        adults = adults + 1;



        if rfoodp11 = 'Y' then rfs11 = 1;
        if rfoodp12 = 'Y' then rfs12 = 1;
        if rfoodp13 = 'Y' then rfs13 = 1;
        if rfoodp14 = 'Y' then rfs14 = 1;
        if (rfs11 + rfs12 + rfs13 + rfs14 > 0) then rfss1 = 1;
        if rfoodp21 = 'Y' then rfs21 = 1;
        if rfoodp22 = 'Y' then rfs22 = 1;
        if rfoodp23 = 'Y' then rfs23 = 1;
        if rfoodp24 = 'Y' then rfs24 = 1;
        if (rfs21 + rfs22 + rfs23 + rfs24 > 0) then rfss2 = 1;



        if fsprec11 = 1 then qfs11 = 1;
        if fsprec12 = 1 then qfs12 = 1;
        if fsprec13 = 1 then qfs13 = 1;
        if fsprec14 = 1 then qfs14 = 1;
        if (qfs11 + qfs12 + qfs13 + qfs14 > 0) then qfss1 = 1;
        if fsprec21 = 1 then qfs21 = 1;
        if fsprec22 = 1 then qfs22 = 1;
        if fsprec23 = 1 then qfs23 = 1;
        if fsprec24 = 1 then qfs24 = 1;
        if (qfs21 + qfs22 + qfs23 + qfs24 > 0) then qfss2 = 1;












        label


                qfs11 = 'quest fs part w1m1'
                qfs12 = 'quest fs part w1m2'
                qfs13 = 'quest fs part w1m3'
                qfs14 = 'quest fs part w1m4'
                qfss1 = 'quest fs part w1 screen'
                qfs21 = 'quest fs part w2m1'
                qfs22 = 'quest fs part w2m2'
                qfs23 = 'quest fs part w2m3'
                qfs24 = 'quest fs part w2m4'
                qfss2 = 'quest fs part w2 screen'


                rfs11 = 'adm rec fs part w1m1'
                rfs12 = 'adm rec fs part w1m2'
                rfs13 = 'adm rec fs part w1m3'
                rfs14 = 'adm rec fs part w1m4'
                rfss1 = 'adm rec fs part w1 screen'
                rfs21 = 'adm rec fs part w2m1'
                rfs22 = 'adm rec fs part w2m2'
                rfs23 = 'adm rec fs part w2m3'
                rfs24 = 'adm rec fs part w2m4'
                rfss2 = 'adm rec fs part w2 screen'

                adults = '# of adults in hh'
                hhsize = '# of persons in hh'
               ;



        next:
        retain  qfs11 qfs12 qfs13 qfs14 qfs21 qfs22 qfs23 qfs24 rfs11 rfs12 rfs13 rfs14
                rfs21 rfs22 rfs23 rfs24 qfss1 rfss1 qfss2 rfss2 adults hhid1 hhid2 hhsize;



        if last.hhid2 then do;



                keep   qfs11 qfs12 qfs13 qfs14 qfs21 qfs22 qfs23 qfs24
                 rfs11 rfs12 rfs13 rfs14 rfs21 rfs22 rfs23 rfs24
                qfss1 qfss2 rfss1 rfss2 adults hhid1 hhid2 hhsize
                 moadid2c moadid21 addid21 addid22;

                output;
        end;


run;

proc means; run;

proc sort;

        by hhid2;

run;

proc sort data = sipp.finale2;

        by hhid2;

run;

data w2demo;

        merge wave2 (in=a) sipp.finale2;

        by hhid2;

        if a;

run;

proc means; run;
